> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Current User



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/current_user
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/current_user:
    get:
      tags:
        - users
      summary: Current User
      operationId: current_user_v2_current_user_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrentUserDB'
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    CurrentUserDB:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        permissions:
          items:
            $ref: '#/components/schemas/Permission'
          type: array
          title: Permissions
          default: []
        email:
          type: string
          title: Email
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          default: ''
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          default: ''
        auth_method:
          $ref: '#/components/schemas/AuthMethod'
          default: email
        role:
          $ref: '#/components/schemas/UserRole'
          default: read_only
        email_is_verified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Email Is Verified
        organization_id:
          type: string
          format: uuid4
          title: Organization Id
        organization_name:
          type: string
          title: Organization Name
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        generic_permissions:
          items:
            $ref: '#/components/schemas/GenericPermission'
          type: array
          title: Generic Permissions
          default: []
      type: object
      required:
        - id
        - email
        - organization_id
        - organization_name
        - created_at
        - updated_at
      title: CurrentUserDB
    Permission:
      properties:
        action:
          anyOf:
            - $ref: '#/components/schemas/UserAction'
            - $ref: '#/components/schemas/GroupAction'
            - $ref: '#/components/schemas/GroupMemberAction'
            - $ref: '#/components/schemas/ProjectAction'
            - $ref: '#/components/schemas/RegisteredScorerAction'
            - $ref: '#/components/schemas/ApiKeyAction'
            - $ref: '#/components/schemas/GeneratedScorerAction'
            - $ref: '#/components/schemas/FineTunedScorerAction'
            - $ref: '#/components/schemas/DatasetAction'
            - $ref: '#/components/schemas/IntegrationAction'
            - $ref: '#/components/schemas/OrganizationAction'
            - $ref: '#/components/schemas/AnnotationQueueAction'
          title: Action
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - action
        - allowed
      title: Permission
    AuthMethod:
      type: string
      enum:
        - email
        - google
        - github
        - okta
        - azure-ad
        - custom
        - saml
        - invite
      title: AuthMethod
    UserRole:
      type: string
      enum:
        - admin
        - manager
        - user
        - read_only
      title: UserRole
    GenericPermission:
      properties:
        resource:
          $ref: '#/components/schemas/ResourceKind'
        action:
          $ref: '#/components/schemas/GenericAction'
        allowed:
          type: boolean
          title: Allowed
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      required:
        - resource
        - action
        - allowed
      title: GenericPermission
      description: >-
        Generic permissions describe what a user GENERALLY can and cannot do.


        The actions are not specific to a resource instance (e.g. create). More
        fine-grained permissions should also be set

        in the authorization policies.
    UserAction:
      type: string
      enum:
        - update
        - delete
        - read_api_keys
        - change_role_to_admin
        - change_role_to_manager
        - change_role_to_user
        - change_role_to_read_only
      title: UserAction
    GroupAction:
      type: string
      enum:
        - update
        - list_members
        - join
        - request_to_join
      title: GroupAction
    GroupMemberAction:
      type: string
      enum:
        - update_role
        - delete
      title: GroupMemberAction
    ProjectAction:
      type: string
      enum:
        - update
        - delete
        - rename
        - share
        - create_run
        - delete_run
        - rename_run
        - move_run
        - export_data
        - configure_human_feedback
        - record_human_feedback
        - log_data
        - toggle_metric
        - edit_alert
        - create_stage
        - edit_stage
        - configure_crown_logic
        - delete_data
        - set_metric
        - edit_run_tags
        - dismiss_alert
        - edit_slice
        - edit_edit
      title: ProjectAction
    RegisteredScorerAction:
      type: string
      enum:
        - update
        - delete
      title: RegisteredScorerAction
    ApiKeyAction:
      type: string
      enum:
        - update
        - delete
      title: ApiKeyAction
    GeneratedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: GeneratedScorerAction
    FineTunedScorerAction:
      type: string
      enum:
        - update
        - delete
      title: FineTunedScorerAction
    DatasetAction:
      type: string
      enum:
        - update
        - delete
        - share
        - export
        - rename
      title: DatasetAction
    IntegrationAction:
      type: string
      enum:
        - update
        - delete
        - share
      title: IntegrationAction
    OrganizationAction:
      type: string
      enum:
        - rename
        - delete
        - delete_log_data
        - read_settings
        - update_settings
      title: OrganizationAction
    AnnotationQueueAction:
      type: string
      enum:
        - update
        - delete
        - share
        - record_annotation
      title: AnnotationQueueAction
    ResourceKind:
      type: string
      enum:
        - audit_log
        - system_user
        - user
        - group
        - group_member
        - project
        - integration
        - registered_scorer
        - finetuned_scorer
        - generated_scorer
        - api_key
        - dataset
        - stage
        - stage_version
        - organization
        - usage_limit
        - prompt_template
        - annotation_queue
        - log_stream
        - experiment
        - experiment_group
        - user_integration
        - group_integration
        - user_integration_selection
        - trace
      title: ResourceKind
    GenericAction:
      type: string
      enum:
        - generic_create
        - generic_read
        - generic_update
        - generic_delete
      title: GenericAction
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````